Subject: [Idr] Question raised in the MPLS-RT review of draft-rosen-mpls-rfc3107bis

From: Loa Andersson <[email-masked]>
Date: Wed, 17 Aug 2016 19:36:28 +0200

Eric, et.al., (copied also idr-chairs and idr-list + bess-chairs and
bess-list)

For those of you that are not subscribed to the mpls-list.

- the mpls wg has started the initial steps for working group adoption,
   there are three steps
   -- mpls-rt review (what you see below is the follow-up discussion on
      that review)
   -- IPR poll, will be sent out soon
   -- working group adoption poll (wgap), that poll will be copied to
      the idr and bess. Hopefully we can that shortly.

I'm sending this to mpls, idr and bess working group, since it has
to do where things should be documented.

On 2016-08-17 17:59, Eric C Rosen wrote:
> Hi Mach,
>
> Thanks for your review.
>
> On 8/3/2016 4:51 AM, Mach Chen wrote:
>> I have only one comment regarding to Section 5. IMHO, although it's
>> informational, the description about the relationship between SAFI-1
>> and SAFI-4 routes should not belong to this document, it's a more
>> common description that is not specific to this label binding process.
>> I'd suggest to remove this section if there is no any other reasons.
>
> Differing interpretations about the relationship between SAFI-1 and
> SAFI-4 are a very common source of interoperability problems among
> implementations of different vendors.  Thus I think it is very useful to
> document this issue and to call attention to some of the differing
> interpretations.  I think this document is an appropriate place for this
> information; even though this information is not about label binding, it
> is about the semantics of SAFI-4.

I agree that this needs to be documented! I can accept that it is done
in draft-rosen-mpls-rfc3107bis, but I would like to have all three wg's
agree to this. I see a few alternatives

- we could document this is in draft-rosen-mpls-rfc3107bis; or
- we could write a separate document
- we could find another document where this has a better fit than in
   draft-rosen-mpls-rfc3107bis
- any other suggestion

Let us know if you have an opinion.

Please send your responses to the mpls wg mailing list ([email-masked]).

/Loa
mpls wg-co-chair

> Eric

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert                          [email-masked]
Huawei Technologies (consultant)     phone: +46 739 81 21 64

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Thu, 18 Aug 2016 19:49:02 +0000

Hi Loa, et al, 

Since I commented on the MPLS-RT review with respect to the IDR-specific
content, there may be some confusion as to where I stand on the ownership
of this draft. I’ve reviewed this document and agree with the approach
described below. I’m convinced we will get the right level cross-WG review
along as we recognize that it does span multiple WGs. I would expect that
we’ll have implementations conforming to the draft in the near future.

Thanks,
Acee

On 8/17/16, 1:36 PM, "mpls on behalf of Loa Andersson"
<[email-masked] on behalf of [email-masked]> wrote:

>_______________________________________________
>mpls mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/mpls